Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class ConnectionLabelsEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gmf.runtime.diagram.ui.editpolicies.ConnectionLabelsEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class ConnectionLabelsEditPolicy
extends AbstractEditPolicy

EditPolicy which toggles the visibility of the labels associated with the host.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ConnectionLabelsEditPolicy()`

Method Summary
`Command` `getCommand(Request request)` Returns a `Command`which changes the visibility for the labels owned by the host.``
`protected org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain()`
`EditPart` `getTargetEditPart(Request request)` If the request returns an executable command the host is returned, otherwise null.
`protected boolean` `isCompartment(Node node)` determines if the passed view is a compartment view or not the default provided implementation is just an educated/generic guss clients can override this method to provide more specific response
`protected boolean` `isLabelView(EditPart containerEditPart, View parentView, View view)` determines if the passed view is a label view or not the default provided implementation is just an educated/generic guss clients can override this method to provide more specific response
`boolean` `understandsRequest(Request request)` Understands the RequestConstants.REQ_TOGGLE_CONNECTION_LABELS request.

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, setHost, showSourceFeedback, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionLabelsEditPolicy

    public ConnectionLabelsEditPolicy()

Method Detail

### understandsRequest

    public boolean understandsRequest(Request request)

  Understands the RequestConstants.REQ_TOGGLE_CONNECTION_LABELS request.

  Parameters:
    `request` - the request
  Returns:
    true if RequestConstants.REQ_TOGGLE_CONNECTION_LABELS.equals(request.getType()) and false otherwise.

### getCommand

    public Command getCommand(Request request)

  Returns a `Command`which changes the visibility for the labels owned by the host.

  ``
  Parameters:
    `request` - the request
  Returns:
    the property change commands

### getEditingDomain

    protected org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain()

### isLabelView

    protected boolean isLabelView(EditPart containerEditPart,
                                  View parentView,
                                  View view)

  determines if the passed view is a label view or not the default provided implementation is just an educated/generic guss clients can override this method to provide more specific response

  Returns:

### isCompartment

    protected boolean isCompartment(Node node)

  determines if the passed view is a compartment view or not the default provided implementation is just an educated/generic guss clients can override this method to provide more specific response

  Parameters:
    `node` -
  Returns:

### getTargetEditPart

    public EditPart getTargetEditPart(Request request)

  If the request returns an executable command the host is returned, otherwise null.

  Parameters:
    `request` -
  Returns:
    getHost() if the request is supported or null.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.